Package org.globus.rsl

# Class NameOpValue

java.lang.Object
org.globus.rsl.NameValue
org.globus.rsl.NameOpValue

public class NameOpValue extends NameValue
This class represents a single relation in the RSL string.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`EQ`
`static final int`
`GT`
`static final int`
`GTEQ`
`static final int`
`LT`
`static final int`
`LTEQ`
`static final int`
`NEQ`
`protected int`
`operator`

### Fields inherited from class org.globus.rsl.NameValue

`attribute, values`

## Constructor Summary

Constructors
Constructor
Description
`NameOpValue(String attribute)`
`NameOpValue(String attribute, int op)`
`NameOpValue(String attribute, int op, String strValue)`
`NameOpValue(String attribute, int op, String[] strValues)`
`NameOpValue(String attribute, int op, Value value)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String strValue)`
Adds a value to the list of values.
`void`
`add(String[] strValues)`
Adds an array of values to the list of values.
`void`
`add(List list)`
Adds a list to the list of values.
`void`
`add(Value value)`
Adds a value to the list of values.
`NameOpValue`
`evaluate(Map symbolTable)`
Evaluates the relation against the symbol table.
`int`
`getOperator()`
Returns the relation operator.
`String`
`getOperatorAsString()`
Returns the relation operator as a string.
`static String`
`getOperatorAsString(int op)`
Returns a string representation of the specified relation operator.
`static List`
`getValuesAsString(List values, boolean includeNested)`
`List`
`getValuesAsStrings(boolean includeNested)`
`void`
`setOperator(int oper)`
Sets the relation operator.
`void`
`toRSL(StringBuffer buf, boolean explicitConcat)`
Produces a RSL representation of this relation.

### Methods inherited from class org.globus.rsl.NameValue

`clear, getAttribute, getFirstValue, getValues, merge, remove, setAttribute, setValues, toRSL, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### EQ

public static final int EQ

See Also:
  - Constant Field Values

### NEQ

public static final int NEQ

See Also:
  - Constant Field Values

### GT

public static final int GT

See Also:
  - Constant Field Values

### GTEQ

public static final int GTEQ

See Also:
  - Constant Field Values

### LT

public static final int LT

See Also:
  - Constant Field Values

### LTEQ

public static final int LTEQ

See Also:
  - Constant Field Values

### operator

protected int operator

## Constructor Details

### NameOpValue

public NameOpValue(String attribute)

### NameOpValue

public NameOpValue(String attribute, int op)

### NameOpValue

public NameOpValue(String attribute, int op, String strValue)

### NameOpValue

public NameOpValue(String attribute, int op, String[] strValues)

### NameOpValue

public NameOpValue(String attribute, int op, Value value)

## Method Details

### setOperator

public void setOperator(int oper)
Sets the relation operator.

Parameters:
  `oper` - the relation operator.

### getOperator

public int getOperator()
Returns the relation operator.

Returns:
  the relation operator.

### getOperatorAsString

public String getOperatorAsString()
Returns the relation operator as a string.

Returns:
  the relation operator as a string.

### getOperatorAsString

public static String getOperatorAsString(int op)
Returns a string representation of the specified relation operator.

Parameters:
  `op` - the relation operator
Returns:
  the string representaion of the relation operator.

### add

public void add(Value value)
Adds a value to the list of values.

Parameters:
  `value` - the value to add.

### add

public void add(String strValue)
Adds a value to the list of values. The string value is first converted into a Value object.

Parameters:
  `strValue` - the value to add.

### add

public void add(String[] strValues)
Adds an array of values to the list of values. Each element in the array is converted into a Value object and inserted as a separate value into the list of values.

Parameters:
  `strValues` - the array of values to add.

### add

public void add(List list)
Adds a list to the list of values. It is inserted as a single element.

Parameters:
  `list` - the list to add.

### getValuesAsStrings

public List getValuesAsStrings(boolean includeNested)

### getValuesAsString

public static List getValuesAsString(List values, boolean includeNested)

### toRSL

public void toRSL(StringBuffer buf, boolean explicitConcat)
Produces a RSL representation of this relation.

Specified by:
  `toRSL` in class `NameValue`
Parameters:
  `buf` - buffer to add the RSL representation to.
  `explicitConcat` - if true explicit concatination will be used in RSL strings.

### evaluate

public NameOpValue evaluate(Map symbolTable) throws RslEvaluationException
Evaluates the relation against the symbol table.

Parameters:
  `symbolTable` - the symbol table to evalute the relation against.
Returns:
  a new evaluted relation.
Throws:
  `RslEvaluationException` - If an error occured during rsl evaluation.